%define name mercator
%define version 0.3.3
%define release 1
%define libsuffix -0.3

Summary: A WorldForge terrain library.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
URL: http://www.worldforge.org/dev/eng/libraries/mercator
Packager: Al Riddoch <alriddoch@googlemail.com>
Vendor: WorldForge
Distribution: Mason
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: wfmath-devel >= 0.3.2

%description
Mercator is designed to handle terrain data.

%package devel
Summary: A WorldForge terrain library headers.
Group: Development/Libraries
Requires: %{name} = %{version} wfmath-devel >= 0.3.2

%description devel
Mercator is designed to handle terrain data.

%package static
Summary: A WorldForge terrain library static libs.
Group: Development/Libraries
Requires: %{name} = %{version} wfmath-static >= 0.3.2

%description static
Mercator is designed to handle terrain data.

%package docs
Summary: A WorldForge terrain library documentation.
Group: Documentation

%description docs
Mercator is designed to handle terrain data.

%prep
%setup -q

%build
CXXFLAGS=$RPM_OPT_FLAGS %configure --enable-static --disable-dependency-tracking
make -j 3
make docs

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING NEWS README

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a

%files docs
%defattr(-,root,root)
%doc doc/html/*
